package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.Map;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(value ="source",autoResultMap = true) //数据库表相关
public class SourceReq extends BaseEntity {
    /** 主键 */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /** 接入源名称 */
    @Excel(name = "接入源名称")
    private String dataResourceName;

    /** 数据来源系统名称 */
    @Excel(name = "数据来源系统名称")
    private String dataSourcesSystemName;

    /** 主机ip地址 */
    @Excel(name = "主机ip地址")
    private String host;

    /** 端口 */
    @Excel(name = "端口")
    private String port;

    /** 数据接入类型 */
    @Excel(name = "数据接入类型")
    private String databaseType;

    /** 数据库名称 */
    @Excel(name = "数据库名称")
    private String databaseName;

    /** 初始化连接数量 */
    @Excel(name = "初始化连接数量")
    private Long initLinkNum;

    /** 最大连接数量 */
    @Excel(name = "最大连接数量")
    private Long maxLinkNum;

    /** 最大等待时间 */
    @Excel(name = "最大等待时间")
    private Long maxWaitTime;

    /** 最大等待次数 */
    @Excel(name = "最大等待次数")
    private Long maxWaitTimes;

    @Excel(name ="连接参数")
    private String connectionParams;

    @Excel(name ="用户名")
    private String username;

    @Excel(name ="密码")
    private String password;




    @Override
    public String toString() {
        return "SourceReq{" +
                "id=" + id +
                ", dataResourceName='" + dataResourceName + '\'' +
                ", dataSourcesSystemName='" + dataSourcesSystemName + '\'' +
                ", host='" + host + '\'' +
                ", port='" + port + '\'' +
                ", databaseType='" + databaseType + '\'' +
                ", databaseName='" + databaseName + '\'' +
                ", initLinkNum=" + initLinkNum +
                ", maxLinkNum=" + maxLinkNum +
                ", maxWaitTime=" + maxWaitTime +
                ", maxWaitTimes=" + maxWaitTimes +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDataResourceName() {
        return dataResourceName;
    }

    public void setDataResourceName(String dataResourceName) {
        this.dataResourceName = dataResourceName;
    }

    public String getDataSourcesSystemName() {
        return dataSourcesSystemName;
    }

    public void setDataSourcesSystemName(String dataSourcesSystemName) {
        this.dataSourcesSystemName = dataSourcesSystemName;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getDatabaseType() {
        return databaseType;
    }

    public void setDatabaseType(String databaseType) {
        this.databaseType = databaseType;
    }

    public String getDatabaseName() {
        return databaseName;
    }

    public void setDatabaseName(String databaseName) {
        this.databaseName = databaseName;
    }

    public Long getInitLinkNum() {
        return initLinkNum;
    }

    public void setInitLinkNum(Long initLinkNum) {
        this.initLinkNum = initLinkNum;
    }

    public Long getMaxLinkNum() {
        return maxLinkNum;
    }

    public void setMaxLinkNum(Long maxLinkNum) {
        this.maxLinkNum = maxLinkNum;
    }

    public Long getMaxWaitTime() {
        return maxWaitTime;
    }

    public void setMaxWaitTime(Long maxWaitTime) {
        this.maxWaitTime = maxWaitTime;
    }

    public Long getMaxWaitTimes() {
        return maxWaitTimes;
    }

    public void setMaxWaitTimes(Long maxWaitTimes) {
        this.maxWaitTimes = maxWaitTimes;
    }



    public SourceReq(BaseEntityBuilder<?, ?> b, Long id, String dataResourceName, String dataSourcesSystemName, String host, String port, String databaseType, String databaseName, Long initLinkNum, Long maxLinkNum, Long maxWaitTime, Long maxWaitTimes, String connectionParams) {
        super(b);
        this.id = id;
        this.dataResourceName = dataResourceName;
        this.dataSourcesSystemName = dataSourcesSystemName;
        this.host = host;
        this.port = port;
        this.databaseType = databaseType;
        this.databaseName = databaseName;
        this.initLinkNum = initLinkNum;
        this.maxLinkNum = maxLinkNum;
        this.maxWaitTime = maxWaitTime;
        this.maxWaitTimes = maxWaitTimes;

    }

    public SourceReq(Long id, String dataResourceName, String dataSourcesSystemName, String host, String port, String databaseType, String databaseName, Long initLinkNum, Long maxLinkNum, Long maxWaitTime, Long maxWaitTimes, String connectionParams) {
        this.id = id;
        this.dataResourceName = dataResourceName;
        this.dataSourcesSystemName = dataSourcesSystemName;
        this.host = host;
        this.port = port;
        this.databaseType = databaseType;
        this.databaseName = databaseName;
        this.initLinkNum = initLinkNum;
        this.maxLinkNum = maxLinkNum;
        this.maxWaitTime = maxWaitTime;
        this.maxWaitTimes = maxWaitTimes;
    }

    public SourceReq(String searchValue, String createBy, Date createTime, String updateBy, Date updateTime, String remark, Map<String, Object> params, Long id, String dataResourceName, String dataSourcesSystemName, String host, String port, String databaseType, String databaseName, Long initLinkNum, Long maxLinkNum, Long maxWaitTime, Long maxWaitTimes, String connectionParams) {
        super(searchValue, createBy, createTime, updateBy, updateTime, remark, params);
        this.id = id;
        this.dataResourceName = dataResourceName;
        this.dataSourcesSystemName = dataSourcesSystemName;
        this.host = host;
        this.port = port;
        this.databaseType = databaseType;
        this.databaseName = databaseName;
        this.initLinkNum = initLinkNum;
        this.maxLinkNum = maxLinkNum;
        this.maxWaitTime = maxWaitTime;
        this.maxWaitTimes = maxWaitTimes;

    }



}
